Page MenuHomePhabricator

When logging via MetaWiki, set email in the user object
Closed, ResolvedPublic

Description

When you're logging via MetaWiki and Tracker creates an account for you, it will not set an email, althrough it have access to it. It should be changed.

Event Timeline

Urbanecm created this task.Oct 11 2018, 9:18 AM
Urbanecm added a comment.EditedNov 12 2018, 10:16 PM

Looks it's blocked on upstream, see pull request. Per local testing, it seems this will be automatically done after the pull request is merged and library updated.

Urbanecm added a project: Upstream.
Urbanecm moved this task from Inbox to Blocked/External on the WMCZ-Tracker board.
Urbanecm moved this task from Backlog to Patch proposed upstream on the Upstream board.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 12 2018, 10:29 PM
Urbanecm triaged this task as Low priority.Nov 12 2018, 10:29 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

The pull request was merged. I tested this, it didn't work, so I've looked into another causes. It looks that Tracker doesn't have permissions to view emails, so I've requested "Access to private information" permission.

Urbanecm closed this task as Resolved.May 5 2019, 8:59 PM

After fixing T222521, everything works correctly.